Package net.snowflake.client.jdbc.cloud.storage

## Class AzureObjectSummariesIterator

- java.lang.Object
- - net.snowflake.client.jdbc.cloud.storage.AzureObjectSummariesIterator

All Implemented Interfaces:
  `Iterator<StorageObjectSummary>`

    public class AzureObjectSummariesIterator
    extends Object
    implements Iterator<StorageObjectSummary>

Iterator class for ObjectSummary objects on Azure Returns platform-independent instances (StorageObjectSummary)

Author:
  lgiakoumakis

### Constructor Summary

Constructors
`AzureObjectSummariesIterator​(Iterable<com.microsoft.azure.storage.blob.ListBlobItem> azCloudBlobIterable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`StorageObjectSummary` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### AzureObjectSummariesIterator

    public AzureObjectSummariesIterator​(Iterable<com.microsoft.azure.storage.blob.ListBlobItem> azCloudBlobIterable)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<StorageObjectSummary>`

#### next

    public StorageObjectSummary next()

Specified by:
  `next` in interface `Iterator<StorageObjectSummary>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<StorageObjectSummary>`